<div class="form-control col-md-12">
    <h5>
        <span>Detail Request</span>
    </h5>
    &nbsp;
    <div style="margin-top: 20px;">
        <div class="row">
            <div class="col-sm-6">
                <div class="row">
                    <div class="col-sm-12">
                        <label>Nomor Request : {{transferUnitMainDetail.RequestNumber}}</label>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12">
                        <label>Tanggal Request : {{transferUnitMainDetail.dtRequest | date:'dd-MM-yyyy'}}</label>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12">
                        <label>Tanggal Pengiriman : {{transferUnitMainDetail.dtSent | date:'dd-MM-yyyy'}}</label>
                    </div>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="row">
                    <div class="col-sm-12">
                        <label>Nama Event : {{transferUnitMainDetail.eventName}}</label>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-4">
                        <label>Tanggal Mulai : {{transferUnitMainDetail.dtFrom | date:'dd-MM-yyyy'}}</label>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-4">
                        <label>Tanggal Selesai : {{transferUnitMainDetail.dtThru | date:'dd-MM-yyyy'}}</label>
                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-sm-6">
                <div class="row">
                    <div *ngIf="transferUnitMainDetail.Status === 12" class="col-sm-4">
                        <label>Status : Open</label>
                    </div>
                    <div *ngIf="transferUnitMainDetail.Status === 13" class="col-sm-4">
                        <label>Status : Cancel</label>
                    </div>
                    <div *ngIf="transferUnitMainDetail.Status === 14 || transferUnitMainDetail.Status === 8" class="col-sm-4">
                        <label>Status : Approve</label>
                    </div>
                    <div *ngIf="transferUnitMainDetail.Status === 15" class="col-sm-4">
                        <label>Status : Not Approve</label>
                    </div>
                    <div *ngIf="transferUnitMainDetail.Status === 16" class="col-sm-4">
                        <label>Status : Inventory Transfer</label>
                    </div>
                    <div *ngIf="transferUnitMainDetail.Status === 17" class="col-sm-4">
                        <label>Status : Complete Returned</label>
                    </div>
                    <div *ngIf="transferUnitMainDetail.Status === 18" class="col-sm-4">
                        <label>Status : Complete</label>
                    </div>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="row">
                    <div class="col-sm-4">
                        <button [disabled]="transferUnitMain.Status === 13 || transferUnitMain.Status === 18" type="button" class="btn btn-primary btn-filter" (click)="showPerpanjangEvent()">
                            <span>Perpanjang Event</span>
                        </button>
                    </div>
                </div>
            </div>
        </div>
        &nbsp;

        <p-dataTable [value]="transferUnitRequests" [editable]="true" [rows]="itemsPerPage" [paginator]="true"
            [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true"
            expandableRows="false" (onEditComplete)="updateRowData($event)" class="width-filter">
            <p-header>
                <jhi-alert></jhi-alert>
            </p-header>

            <p-column header="Market Name">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.MarketName">
                    </div>{{rowData.MarketName}}
                </ng-template>
            </p-column>

            <p-column header="Kode Tipe">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.IdProduct}}
                </ng-template>
            </p-column>

            <p-column header="Tahun">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.Year}}
                </ng-template>
            </p-column>

            <p-column header="Warna">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.Color}}
                </ng-template>
            </p-column>

            <p-column header="Qty Request">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.Qty}}
                </ng-template>
            </p-column>

            <p-column header="Qty Transfer">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.QtyTransfer}}
                </ng-template>
            </p-column>

            <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
            </ng-template>
        </p-dataTable>
        &nbsp;
        <div class="row">
            <div class="col-md-7">
            </div>
            <div class="col-md-5 pull-right" align="right">
                <button type="button" class="btn btn-primary btn-filter" (click)="receiveBAST()" [disabled]="transferUnitMain.Status !== 16">
                    <span>Receive BAST</span>
                </button>
                <button type="button" class="btn btn-primary btn-filter" (click)="showKonfirmasi()" [disabled]="transferUnitMain.Status !== 18">
                    <span>Return</span>
                </button>
                <button type="button" class="btn btn-primary btn-filter" (click)="cancelRquest()" [disabled]="transferUnitMain.Status === 16 || transferUnitMain.Status === 17 || transferUnitMain.Status === 15 || transferUnitMain.Status === 13 || transferUnitMain.Status === 18">
                    <span>Cancel Request</span>
                </button>
            </div>
        </div>
    </div>
    &nbsp;
    <p-dialog header="Konfirmasi" [(visible)]="printBastKeHoModal" modal="true" [width]="500" [height]="250">
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <label class="form-control-label">Anda Akan Melakukan Penerimaan Unit Dari Event?</label>
                </div>
            </div>
            <div class="col-md-6" style="margin-top:10px">
                <button type="button" style="margin-left:10px" (click)="returnEvent()" class="btn btn-danger pull-left">Ya</button>
            </div>
            <div class="col-md-6" style="margin-top:10px">
                <button type="button" style="margin-left:10px" class="btn btn-danger pull-right">Tidak</button>
            </div>
        </div>
    </p-dialog>

    <p-dialog header="Perpanjang Event" [(visible)]="perpanjangEvent" modal="true" [width]="500" [height]="300">
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <div class="row">
                        <div class="col-md-4" style="margin-top:10px">
                            <label>Tanggal Mulai</label>
                        </div>
                        <div class="col-md-8">
                            <div class="input-group input-calendar">
                                <p-calendar 
                                    [(ngModel)]="selectedUpdateDtFrom" 
                                    class="size-calendar" 
                                    [showIcon]="true"
                                    [minDate]="minimalDate"
                                    ></p-calendar>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="row">
                        <div class="col-md-4" style="margin-top:10px">
                            <label>Tanggal Selesai</label>
                        </div>
                        <div class="col-md-8">
                            <div class="input-group input-calendar">
                                <p-calendar 
                                    [(ngModel)]="selectedUpdateDtThru" 
                                    class="size-calendar" 
                                    [showIcon]="true"
                                    [minDate]="selectedUpdateDtFrom"
                                    (click)="validate()"
                                    ></p-calendar>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        &nbsp;
        <div>
            <button type="button" (click)="ExtendEvent()" class="btn btn-primary btn-block" [disabled]="!isOkay">
                <span> Submit </span>
                &nbsp;
            </button>
        </div>
    </p-dialog>
</div>
</div>
<div style="margin-top: 10px;"></div>